List pods.
Retrieve a list of pods from a cluster.
Authentication
AuthorizationBearer
Bearer authentication
Query parameters
deleted
Return only deleted resources when true.
offset
The offset of the first item returned in the collection.
limit
The maximum number of entries to return.
sortOrder
Sort results in descending or ascending order.
Allowed values:
sortBy
Sort results using a parameter.
filterBy
Filter results using a parameter. Use the format field-name operator value. Operators are == Equals, != Not equals, <= Less than or equal, >= Greater than or equal, =@ contains, !@ Does not contains, =^ Starts with and =$ Ends with. Dates are in ISO 8601 timestamp format and available for operators ==, !=, <= and >=.
verbosity
response verbosity level. if full, the response includes workloadName and projectName fields.
Allowed values:
completed
Return only completed resources when ‘true’, return only non-completed resources when ‘false’. By default, or when empty, returns all resources.
search
Filter results by a free text search.
Response
Executed successfully.
pods
next
Errors
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error